DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
LST_HEAD Class Reference

general purpose list class for use with dcmnet module. More...

## Public Member Functions
| LST_HEAD ()
| default constructor
| ~LST_HEAD ()
| destructor, deletes list but not elements pointed to by list entries.
void | push_back (void *node)
| inserts after the last element of the list. More...
void * | dequeue ()
| removes first element from list and returns it. More...
size_t | size () const
| returns number of elements in the list. More...
void * | front ()
| returns the first element in the list. More...
void * | position (void *node)
| Make a node current and return the argument. More...
void * | next ()
| Advances the current element to the next element in the list and returns a pointer to the next element (if any), NULL otherwise. More...
void * | current () const
| Returns pointer to current element in list. More...

## Private Member Functions
| OFListIterator (void *) theIterator
| list iterator, points to current element

## Private Attributes
OFList< void * > | theList
| the list

## Detailed Description

general purpose list class for use with dcmnet module.

## Member Function Documentation

## ◆ current()

void* LST_HEAD::current | ( |  | ) | const

Returns pointer to current element in list.

A valid current element must exist (e.g. position() called with an existing element), otherwise the behaviour is undefined.

## ◆ dequeue()

void* LST_HEAD::dequeue | ( |  | ) |

removes first element from list and returns it.

Returns NULL if list is empty.

## ◆ front()

void* LST_HEAD::front | ( |  | ) |

returns the first element in the list.

Returns
  first element in list, NULL if list empty

## ◆ next()

void* LST_HEAD::next | ( |  | ) |

Advances the current element to the next element in the list and returns a pointer to the next element (if any), NULL otherwise.

A valid current element must exist (e.g. position() called with an existing element), otherwise the behaviour is undefined.

## ◆ position()

void* LST_HEAD::position | ( | void * | node | ) |

Make a node current and return the argument.

Parameters

  node | pointer to element which must be contained in the list

Returns
  pointer to node if successful, NULL otherwise

## ◆ push_back()

void LST_HEAD::push_back | ( | void * | node | ) |

inserts after the last element of the list.

Parameters

  node | value inserted into the list

## ◆ size()

size_t LST_HEAD::size | ( |  | ) | const

returns number of elements in the list.

Returns
  number of elements

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/lst.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1